com.amazonaws.services.codedeploy.model

## Class MinimumHealthyHosts

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.MinimumHealthyHosts

All Implemented Interfaces:
  Serializable, Cloneable

    public class MinimumHealthyHosts
    extends Object
    implements Serializable, Cloneable

Information about minimum healthy instance.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MinimumHealthyHosts()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MinimumHealthyHosts` `clone()`
`boolean` `equals(Object obj)`
`String` `getType()` The minimum healthy instance type:
`Integer` `getValue()` The minimum healthy instance value.
`int` `hashCode()`
`void` `setType(MinimumHealthyHostsType type)` The minimum healthy instance type:
`void` `setType(String type)` The minimum healthy instance type:
`void` `setValue(Integer value)` The minimum healthy instance value.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`MinimumHealthyHosts` `withType(MinimumHealthyHostsType type)` The minimum healthy instance type:
`MinimumHealthyHosts` `withType(String type)` The minimum healthy instance type:
`MinimumHealthyHosts` `withValue(Integer value)` The minimum healthy instance value.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MinimumHealthyHosts

    public MinimumHealthyHosts()

### Method Detail

#### setValue

    public void setValue(Integer value)

The minimum healthy instance value.

Parameters:
  `value` - The minimum healthy instance value.

#### getValue

    public Integer getValue()

The minimum healthy instance value.

Returns:
  The minimum healthy instance value.

#### withValue

    public MinimumHealthyHosts withValue(Integer value)

The minimum healthy instance value.

Parameters:
  `value` - The minimum healthy instance value.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setType

    public void setType(String type)

The minimum healthy instance type:

- HOST_COUNT: The minimum number of healthy instance as an absolute value.

- FLEET_PERCENT: The minimum number of healthy instance as a percentage of the total number of instance in the deployment.

In an example of nine instance, if a HOST_COUNT of six is specified, deploy to up to three instances at a time. The deployment will be successful if six or more instances are deployed to successfully; otherwise, the deployment fails. If a FLEET_PERCENT of 40 is specified, deploy to up to five instance at a time. The deployment will be successful if four or more instance are deployed to successfully; otherwise, the deployment fails.

<note>

In a call to the get deployment configuration operation, CodeDeployDefault.OneAtATime will return a minimum healthy instance type of MOST_CONCURRENCY and a value of 1. This means a deployment to only one instance at a time. (You cannot set the type to MOST_CONCURRENCY, only to HOST_COUNT or FLEET_PERCENT.) In addition, with CodeDeployDefault.OneAtATime, AWS CodeDeploy will try to ensure that all instances but one are kept in a healthy state during the deployment. Although this allows one instance at a time to be taken offline for a new deployment, it also means that if the deployment to the last instance fails, the overall deployment still succeeds.

</note>

Parameters:
  `type` - The minimum healthy instance type:

  - HOST_COUNT: The minimum number of healthy instance as an absolute value.

  - FLEET_PERCENT: The minimum number of healthy instance as a percentage of the total number of instance in the deployment.

  In an example of nine instance, if a HOST_COUNT of six is specified, deploy to up to three instances at a time. The deployment will be successful if six or more instances are deployed to successfully; otherwise, the deployment fails. If a FLEET_PERCENT of 40 is specified, deploy to up to five instance at a time. The deployment will be successful if four or more instance are deployed to successfully; otherwise, the deployment fails.

  <note>

  In a call to the get deployment configuration operation, CodeDeployDefault.OneAtATime will return a minimum healthy instance type of MOST_CONCURRENCY and a value of 1. This means a deployment to only one instance at a time. (You cannot set the type to MOST_CONCURRENCY, only to HOST_COUNT or FLEET_PERCENT.) In addition, with CodeDeployDefault.OneAtATime, AWS CodeDeploy will try to ensure that all instances but one are kept in a healthy state during the deployment. Although this allows one instance at a time to be taken offline for a new deployment, it also means that if the deployment to the last instance fails, the overall deployment still succeeds.

See Also:
  `MinimumHealthyHostsType`

#### getType

    public String getType()

The minimum healthy instance type:

- HOST_COUNT: The minimum number of healthy instance as an absolute value.

- FLEET_PERCENT: The minimum number of healthy instance as a percentage of the total number of instance in the deployment.

In an example of nine instance, if a HOST_COUNT of six is specified, deploy to up to three instances at a time. The deployment will be successful if six or more instances are deployed to successfully; otherwise, the deployment fails. If a FLEET_PERCENT of 40 is specified, deploy to up to five instance at a time. The deployment will be successful if four or more instance are deployed to successfully; otherwise, the deployment fails.

<note>

In a call to the get deployment configuration operation, CodeDeployDefault.OneAtATime will return a minimum healthy instance type of MOST_CONCURRENCY and a value of 1. This means a deployment to only one instance at a time. (You cannot set the type to MOST_CONCURRENCY, only to HOST_COUNT or FLEET_PERCENT.) In addition, with CodeDeployDefault.OneAtATime, AWS CodeDeploy will try to ensure that all instances but one are kept in a healthy state during the deployment. Although this allows one instance at a time to be taken offline for a new deployment, it also means that if the deployment to the last instance fails, the overall deployment still succeeds.

</note>

Returns:
  The minimum healthy instance type:

  - HOST_COUNT: The minimum number of healthy instance as an absolute value.

  - FLEET_PERCENT: The minimum number of healthy instance as a percentage of the total number of instance in the deployment.

  In an example of nine instance, if a HOST_COUNT of six is specified, deploy to up to three instances at a time. The deployment will be successful if six or more instances are deployed to successfully; otherwise, the deployment fails. If a FLEET_PERCENT of 40 is specified, deploy to up to five instance at a time. The deployment will be successful if four or more instance are deployed to successfully; otherwise, the deployment fails.

  <note>

  In a call to the get deployment configuration operation, CodeDeployDefault.OneAtATime will return a minimum healthy instance type of MOST_CONCURRENCY and a value of 1. This means a deployment to only one instance at a time. (You cannot set the type to MOST_CONCURRENCY, only to HOST_COUNT or FLEET_PERCENT.) In addition, with CodeDeployDefault.OneAtATime, AWS CodeDeploy will try to ensure that all instances but one are kept in a healthy state during the deployment. Although this allows one instance at a time to be taken offline for a new deployment, it also means that if the deployment to the last instance fails, the overall deployment still succeeds.

See Also:
  `MinimumHealthyHostsType`

#### withType

    public MinimumHealthyHosts withType(String type)

The minimum healthy instance type:

- HOST_COUNT: The minimum number of healthy instance as an absolute value.

- FLEET_PERCENT: The minimum number of healthy instance as a percentage of the total number of instance in the deployment.

In an example of nine instance, if a HOST_COUNT of six is specified, deploy to up to three instances at a time. The deployment will be successful if six or more instances are deployed to successfully; otherwise, the deployment fails. If a FLEET_PERCENT of 40 is specified, deploy to up to five instance at a time. The deployment will be successful if four or more instance are deployed to successfully; otherwise, the deployment fails.

<note>

In a call to the get deployment configuration operation, CodeDeployDefault.OneAtATime will return a minimum healthy instance type of MOST_CONCURRENCY and a value of 1. This means a deployment to only one instance at a time. (You cannot set the type to MOST_CONCURRENCY, only to HOST_COUNT or FLEET_PERCENT.) In addition, with CodeDeployDefault.OneAtATime, AWS CodeDeploy will try to ensure that all instances but one are kept in a healthy state during the deployment. Although this allows one instance at a time to be taken offline for a new deployment, it also means that if the deployment to the last instance fails, the overall deployment still succeeds.

</note>

Parameters:
  `type` - The minimum healthy instance type:

  - HOST_COUNT: The minimum number of healthy instance as an absolute value.

  - FLEET_PERCENT: The minimum number of healthy instance as a percentage of the total number of instance in the deployment.

  In an example of nine instance, if a HOST_COUNT of six is specified, deploy to up to three instances at a time. The deployment will be successful if six or more instances are deployed to successfully; otherwise, the deployment fails. If a FLEET_PERCENT of 40 is specified, deploy to up to five instance at a time. The deployment will be successful if four or more instance are deployed to successfully; otherwise, the deployment fails.

  <note>

  In a call to the get deployment configuration operation, CodeDeployDefault.OneAtATime will return a minimum healthy instance type of MOST_CONCURRENCY and a value of 1. This means a deployment to only one instance at a time. (You cannot set the type to MOST_CONCURRENCY, only to HOST_COUNT or FLEET_PERCENT.) In addition, with CodeDeployDefault.OneAtATime, AWS CodeDeploy will try to ensure that all instances but one are kept in a healthy state during the deployment. Although this allows one instance at a time to be taken offline for a new deployment, it also means that if the deployment to the last instance fails, the overall deployment still succeeds.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `MinimumHealthyHostsType`

#### setType

    public void setType(MinimumHealthyHostsType type)

The minimum healthy instance type:

- HOST_COUNT: The minimum number of healthy instance as an absolute value.

- FLEET_PERCENT: The minimum number of healthy instance as a percentage of the total number of instance in the deployment.

In an example of nine instance, if a HOST_COUNT of six is specified, deploy to up to three instances at a time. The deployment will be successful if six or more instances are deployed to successfully; otherwise, the deployment fails. If a FLEET_PERCENT of 40 is specified, deploy to up to five instance at a time. The deployment will be successful if four or more instance are deployed to successfully; otherwise, the deployment fails.

<note>

In a call to the get deployment configuration operation, CodeDeployDefault.OneAtATime will return a minimum healthy instance type of MOST_CONCURRENCY and a value of 1. This means a deployment to only one instance at a time. (You cannot set the type to MOST_CONCURRENCY, only to HOST_COUNT or FLEET_PERCENT.) In addition, with CodeDeployDefault.OneAtATime, AWS CodeDeploy will try to ensure that all instances but one are kept in a healthy state during the deployment. Although this allows one instance at a time to be taken offline for a new deployment, it also means that if the deployment to the last instance fails, the overall deployment still succeeds.

</note>

Parameters:
  `type` - The minimum healthy instance type:

  - HOST_COUNT: The minimum number of healthy instance as an absolute value.

  - FLEET_PERCENT: The minimum number of healthy instance as a percentage of the total number of instance in the deployment.

  In an example of nine instance, if a HOST_COUNT of six is specified, deploy to up to three instances at a time. The deployment will be successful if six or more instances are deployed to successfully; otherwise, the deployment fails. If a FLEET_PERCENT of 40 is specified, deploy to up to five instance at a time. The deployment will be successful if four or more instance are deployed to successfully; otherwise, the deployment fails.

  <note>

  In a call to the get deployment configuration operation, CodeDeployDefault.OneAtATime will return a minimum healthy instance type of MOST_CONCURRENCY and a value of 1. This means a deployment to only one instance at a time. (You cannot set the type to MOST_CONCURRENCY, only to HOST_COUNT or FLEET_PERCENT.) In addition, with CodeDeployDefault.OneAtATime, AWS CodeDeploy will try to ensure that all instances but one are kept in a healthy state during the deployment. Although this allows one instance at a time to be taken offline for a new deployment, it also means that if the deployment to the last instance fails, the overall deployment still succeeds.

See Also:
  `MinimumHealthyHostsType`

#### withType

    public MinimumHealthyHosts withType(MinimumHealthyHostsType type)

The minimum healthy instance type:

- HOST_COUNT: The minimum number of healthy instance as an absolute value.

- FLEET_PERCENT: The minimum number of healthy instance as a percentage of the total number of instance in the deployment.

In an example of nine instance, if a HOST_COUNT of six is specified, deploy to up to three instances at a time. The deployment will be successful if six or more instances are deployed to successfully; otherwise, the deployment fails. If a FLEET_PERCENT of 40 is specified, deploy to up to five instance at a time. The deployment will be successful if four or more instance are deployed to successfully; otherwise, the deployment fails.

<note>

In a call to the get deployment configuration operation, CodeDeployDefault.OneAtATime will return a minimum healthy instance type of MOST_CONCURRENCY and a value of 1. This means a deployment to only one instance at a time. (You cannot set the type to MOST_CONCURRENCY, only to HOST_COUNT or FLEET_PERCENT.) In addition, with CodeDeployDefault.OneAtATime, AWS CodeDeploy will try to ensure that all instances but one are kept in a healthy state during the deployment. Although this allows one instance at a time to be taken offline for a new deployment, it also means that if the deployment to the last instance fails, the overall deployment still succeeds.

</note>

Parameters:
  `type` - The minimum healthy instance type:

  - HOST_COUNT: The minimum number of healthy instance as an absolute value.

  - FLEET_PERCENT: The minimum number of healthy instance as a percentage of the total number of instance in the deployment.

  In an example of nine instance, if a HOST_COUNT of six is specified, deploy to up to three instances at a time. The deployment will be successful if six or more instances are deployed to successfully; otherwise, the deployment fails. If a FLEET_PERCENT of 40 is specified, deploy to up to five instance at a time. The deployment will be successful if four or more instance are deployed to successfully; otherwise, the deployment fails.

  <note>

  In a call to the get deployment configuration operation, CodeDeployDefault.OneAtATime will return a minimum healthy instance type of MOST_CONCURRENCY and a value of 1. This means a deployment to only one instance at a time. (You cannot set the type to MOST_CONCURRENCY, only to HOST_COUNT or FLEET_PERCENT.) In addition, with CodeDeployDefault.OneAtATime, AWS CodeDeploy will try to ensure that all instances but one are kept in a healthy state during the deployment. Although this allows one instance at a time to be taken offline for a new deployment, it also means that if the deployment to the last instance fails, the overall deployment still succeeds.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `MinimumHealthyHostsType`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public MinimumHealthyHosts clone()

Overrides:
  `clone` in class `Object`